Subject: Re: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Jonathan Rockway <[email-masked]>
Date: Mon, 29 Oct 2012 03:26:15 -0400

Cleaning up the cruft sounds like a good idea.  I will play around with
that in the next few days and let you know how it goes.

(I'm somewhat surprised that anyone uses perl-mode; cperl-mode is ...
interesting code-wise, but it does work really, really well.)

On Thu, Oct 25, 2012 at 2:25 PM, Stefan Monnier <[email-masked]>wrote:

> >> The main problem is that the cperl-mode code's maintainership has some
> >> problems (poor communication and some disagreements between Ilya and the
> >> Emacs team).
> > Note that there does not seem to have been an upstream release for ~ 4+
> > years, AFAICS.  The traditional upstream location is 403 today, but
> > exists in search engines caches.
> > A braver man than I has already forked it some years ago;
> > https://github.com/jrockway/cperl-mode
>
> Let me put it some other way:
>
> If/when someone is willing and able to take over maintenance of
> cperl-mode (starting with cleaning up the Emacs-19-style-code-cruft),
> then I might consider switching the default to cperl-mode.
>
> But it might be easier to start from perl-mode and add cperl-mode chunks
> to it.
>
>
>         Stefan
>